Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000181openvibe-pluginsbug reportpublic2016-09-07 16:432016-10-04 10:34
Reporterstephan 
Assigned Tojtlindgr 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86_64OSWindowsOS Version7
Summary0000181: Wrong scale used in OpenBCI driver for acquisition server
DescriptionThe signals are too small for further processing.
It seems like there is used a wrong scale in the OpenBCI driver for acquisition server. It generates MegaVolts instead of MicroVolts at one point.
Additional Informationfile:
openvibe\contrib\plugins\server-drivers\openbci\src\ovasCDriverOpenBCI.cpp

line: 200 (+ 204)

suggested solution:
Formula by OpenBCI generates Volts, use ( * 1000000) instead of ( / 1000000) in code to generate MicroVolts

OpenBCI doc for interpreting data:
http://docs.openbci.com/software/02-OpenBCI_Streaming_Data_Format#openbci-v3-data-format-interpreting-the-eeg-data [^]
TagsNo tags attached.
Attached Filespatch file icon openbci-units.patch [^] (894 bytes) 2016-09-14 17:19 [Show Content]

- Relationships

-  Notes
(0001219)
yrenard (administrator)
2016-09-14 17:06

stephan, thank you for the feedback, will look at this problem asap
(0001220)
yrenard (administrator)
2016-09-14 17:14

Confirmed issue, line 200 should turn to :

m_f32UnitsToMicroVolts = (float32) (float32) ((ADS1299_VREF * 1000000) / ((pow(2.,23)-1) * ADS1299_GAIN));
(0001221)
yrenard (administrator)
2016-09-14 17:19

openbci-units.patch should fix the problem
(0001222)
yrenard (administrator)
2016-09-14 17:39

Patch was submitted to Jussi T Lindgren
(0001223)
jtlindgr (administrator)
2016-10-04 10:34

Merged the patch from Yann Renard. In git commit c472c7ce8b796b8ede2e16183f56915f6bcae4e3

Thanks for the fix!

- Issue History
Date Modified Username Field Change
2016-09-07 16:43 stephan New Issue
2016-09-14 17:06 yrenard Assigned To => yrenard
2016-09-14 17:06 yrenard Status new => assigned
2016-09-14 17:06 yrenard Note Added: 0001219
2016-09-14 17:14 yrenard Note Added: 0001220
2016-09-14 17:14 yrenard Status assigned => confirmed
2016-09-14 17:19 yrenard File Added: openbci-units.patch
2016-09-14 17:19 yrenard Note Added: 0001221
2016-09-14 17:38 yrenard Assigned To yrenard => jtlindgr
2016-09-14 17:38 yrenard Status confirmed => assigned
2016-09-14 17:39 yrenard Note Added: 0001222
2016-10-04 10:34 jtlindgr Note Added: 0001223
2016-10-04 10:34 jtlindgr Status assigned => resolved
2016-10-04 10:34 jtlindgr Resolution open => fixed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker